/*
 * Copyright 2006-2007 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package se.umu.cs.edu.soa.hws; 

/*
import se.umu.cs.edu.soa.hws.GreetRequest; 
import se.umu.cs.edu.soa.hws.GreetResponse; 
import se.umu.cs.edu.soa.hws.GreetingType; 
import se.umu.cs.edu.soa.hws.HelloWorldServiceStub;  */ 

/**
 * 
 * Client for stub based hello world service. 
 * 
 */
public class WebServiceClient
{
    public static void main(String[] args) throws Exception {


        if(args.length != 4) {
            System.err.println("Usage: WebServiceClient <host> <port> <name> <msg>");
            System.exit(1); 
        }
        
        String host = args[0];
        String port = args[1]; 
        String target = "http://" + host + ":" + port +
            "/axis2/services/HelloWorldService2";
        
        // create the client stub
        HelloWorldService2Stub stub = new HelloWorldService2Stub(target); 


        // Build request message
        GreetingType greeting = new GreetingType(); 
        greeting.setName(args[2]); 
        greeting.setMessage(args[3]); 
        GreetRequest request = new GreetRequest(); 
        request.setGreeting(greeting); 

        // Invoke service
        GreetResponse response = stub.greet(request); 

        // Output response
        GreetingType responseGreeting = response.getGreeting(); 
        System.out.println("Service: " + responseGreeting.getName()); 
        System.out.println("says: " + responseGreeting.getMessage()); 
         
    }
}
